<?php
/*
Plugin Name: Edit List Link
Plugin URI: http://www.is-p.cc/wordpress/plug-in/edit-list-link/745
Description: 記事編集画面に直前の一覧リストに戻るリンクを付加する
Version: 1.2
Author: is-p
Author URI: http://www.is-p.cc
*/

if(strstr($_SERVER["PHP_SELF"], "/wp-admin/edit.php")) {

	$svr_url = "http://" . $_SERVER["SERVER_NAME"] . $_SERVER["PHP_SELF"];

	// queryの取得
	$link = ($_SERVER["QUERY_STRING"]) ? $svr_url . "?" . $_SERVER["QUERY_STRING"] : $svr_url;
	// cookieに保存
	setcookie("editlist_link_query", $link);

} else if(strstr($_SERVER["PHP_SELF"], "/wp-admin/post")) {

	add_action('admin_footer','isp_create_link');
	add_action('admin_head', 'isp_js_append');
}

// 一覧リストへ戻るリンクの作成
function isp_create_link() {
	echo '<div><a href="' . $_COOKIE["editlist_link_query"] . '" id="backlink" class="add-new-h2">一覧に戻る</a></div>';
}

// リンクをh2に持ってくる
function isp_js_append() {

print <<< JS_END
<script type="text/javascript">
jQuery(document).ready(function(){
	jQuery( ".wp-heading-inline" ).append( jQuery( "#backlink" ) );
});
</script>

JS_END;

}
?>
